Beats Pill+ app system requirements for iOS devices

  1.  

    The Beats Pill+ app works with the following iOS devices:

    • iPhone 5s or later
    • iPad Air or newer
    • iPad Mini 2 or newer

     

     

Beats Pill+ app system requirements for iOS devices

Was this helpful?

YES NO